// +build !windows

package main

import (
	log "github.com/sirupsen/logrus"
	"os"
	"syscall"
)

func restart() {
	var err error

	if _, err = os.Stat(executable); err != nil {
		log.Fatalf("Error stat executable path, %s", err)
	}

	log.Infof("Re-executing %s...", executable)
	err = syscall.Exec(executable, os.Args, os.Environ())
	if err != nil {
		log.Fatalf("Error re-executing, %s", err)
	}
}
